import request from '@/utils/request'

// 分页查询工班作业调度列表
export function pageListShift(query) {
  return request({
    url: '/work/shift/pageList',
    method: 'get',
    params: query
  })
}

// 查询工班作业调度列表
export function listShift(query) {
  return request({
    url: '/work/shift/list',
    method: 'get',
    params: query
  })
}

// 查询工班作业调度详细
export function getShift(id) {
  return request({
    url: '/work/shift/' + id,
    method: 'get'
  })
}

// 新增工班作业调度
export function addShift(data) {
  return request({
    url: '/work/shift',
    method: 'post',
    data: data
  })
}

// 修改工班作业调度
export function updateShift(data) {
  return request({
    url: '/work/shift',
    method: 'put',
    data: data
  })
}

// 删除工班作业调度
export function delShift(id) {
  return request({
    url: '/work/shift/' + id,
    method: 'delete'
  })
}

// 导出工班作业调度
export function exportShift(query) {
  return request({
    url: '/work/shift/' + 'export',
    method: 'post',
    params: query
  })
}
